Bug 212944 - security/keepassx2: Add LICENSE
Summary: security/keepassx2: Add LICENSE
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Carlos J. Puga Medina
URL:
Keywords: easy, patch, patch-ready
Depends on:
Blocks:
 
Reported: 2016-09-23 18:35 UTC by Eric Camachat
Modified: 2016-10-21 02:05 UTC (History)
4 users (show)

See Also:
koobs: merge-quarterly+


Attachments
Add LICENSE in Makefile (392 bytes, patch)
2016-09-23 18:35 UTC, Eric Camachat
no flags Details | Diff
Also conflicts keepassx2-devel-2.* (535 bytes, patch)
2016-09-23 21:42 UTC, Eric Camachat
no flags Details | Diff
Also add LICENSE_FILE. (569 bytes, patch)
2016-09-25 16:19 UTC, Eric Camachat
eric: maintainer-approval+
Details | Diff
Update license blob (1.03 KB, patch)
2016-10-08 20:18 UTC, Eric Camachat
eric: maintainer-approval+
Details | Diff
rename to keepassx-devel (14.84 KB, patch)
2016-10-18 21:27 UTC, Eric Camachat
eric: maintainer-approval+
Details | Diff
Use CMAKE_ARGS instead of patching file (3.03 KB, patch)
2016-10-18 21:30 UTC, Eric Camachat
eric: maintainer-approval+
Details | Diff
reflect pr212945 package name changed (3.03 KB, patch)
2016-10-18 21:35 UTC, Eric Camachat
eric: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Eric Camachat 2016-09-23 18:35:07 UTC
Created attachment 175102 [details]
Add LICENSE in Makefile

Add LICENSE in Makefile
Comment 1 Eric Camachat 2016-09-23 21:42:51 UTC
Created attachment 175107 [details]
Also conflicts keepassx2-devel-2.*
Comment 2 VK freebsd_triage 2016-09-25 14:30:44 UTC
Comment on attachment 175107 [details]
Also conflicts keepassx2-devel-2.*

Thanks for the patch. Please set the maintainer-approval+ flag on patches for ports you're maintainer of.

While at it, I suggest also add LICENSE_FILE.
Comment 3 Eric Camachat 2016-09-25 16:19:26 UTC
Created attachment 175158 [details]
Also add LICENSE_FILE.

Add LICENSE_FILE and change LICENSE from GPLv2 to GPLv2+. It allows you to chose GPLv3.
Comment 4 Carlos J. Puga Medina freebsd_committer 2016-10-08 19:45:40 UTC
Please, fix LICENSE blob here:

LICENSE=   BOOST-1.0 BSD3CLAUSE CC0-1.0 GPLv2 GPLv3 LGPL21 LGPL3 NOKIA-LGPL-EXCEPTION
LICENSE_COMB=   multi
LICENSE_NAME_BOOST-1.0=   Boost Software License version 1.0
LICENSE_NAME_NOKIA-LGPL-EXCEPTION=   Nokia Qt LGPL Exception version 1.1
LICENSE_FILE_BOOST-1.0=   ${WRKSRC}/LICENSE.BOOST-1.0
LICENSE_FILE_NOKIA-LGPL-EXCEPTION=   ${WRKSRC}/LICENSE.NOKIA-LGPL-EXCEPTION
LICENSE_PERMS_BOOST-1.0=   dist-mirror dist-sell pkg-mirror pkg-sell auto-accept
LICENSE_PERMS_NOKIA-LGPL-EXCEPTION=   dist-mirror dist-sell pkg-mirror pkg-sell auto-accept
Comment 5 Eric Camachat 2016-10-08 20:18:14 UTC
Created attachment 175537 [details]
Update license blob

Update license blob
Comment 6 Eric Camachat 2016-10-18 21:27:32 UTC
Created attachment 175915 [details]
rename to keepassx-devel

1. rename to keepassx-devel to indicate tracking -devel branch.
2. Use "CMAKE_ARGS+= -DZLIB_SUPPORTS_GZIP:BOOL=ON" instead of patching source.
Comment 7 Eric Camachat 2016-10-18 21:30:48 UTC
Created attachment 175916 [details]
Use CMAKE_ARGS instead of patching file

1. Use CMAKE_ARGS instead of patching file
Comment 8 Eric Camachat 2016-10-18 21:35:29 UTC
Created attachment 175918 [details]
reflect pr212945 package name changed

reflect pr212945 package name changed.
Comment 9 commit-hook freebsd_committer 2016-10-20 01:16:47 UTC
A commit references this bug:

Author: cpm
Date: Thu Oct 20 01:16:16 UTC 2016
New revision: 424298
URL: https://svnweb.freebsd.org/changeset/ports/424298

Log:
  security/keepassx2: Update to 2.0.3

  - Update to 2.0.3
  - Add LICENSE block
  - Register conflicts between keepassx2 and keepassx-devel
  - Use CMAKE arguments for ZLIB_SUPPORTS_GZIP instead patch-CMakeLists.txt

  PR:		212944
  Submitted by:	Eric Camachat <eric@camachat.org>
  Approved by:	koobs (mentor)
  MFH:		2016Q4

Changes:
  head/security/keepassx2/Makefile
  head/security/keepassx2/distinfo
  head/security/keepassx2/files/
Comment 10 Carlos J. Puga Medina freebsd_committer 2016-10-20 01:17:41 UTC
Committed!

Thanks
Comment 11 commit-hook freebsd_committer 2016-10-20 17:16:18 UTC
A commit references this bug:

Author: cpm
Date: Thu Oct 20 17:15:26 UTC 2016
New revision: 424341
URL: https://svnweb.freebsd.org/changeset/ports/424341

Log:
  MFH: r424298

  security/keepassx2: Update to 2.0.3

  - Update to 2.0.3
  - Add LICENSE block
  - Register conflicts between keepassx2 and keepassx-devel
  - Use CMAKE arguments for ZLIB_SUPPORTS_GZIP instead patch-CMakeLists.txt

  PR:		212944
  Submitted by:	Eric Camachat <eric@camachat.org>
  Approved by:	koobs (mentor)

  Approved by:	ports-secteam (feld)

Changes:
_U  branches/2016Q4/
  branches/2016Q4/security/keepassx2/Makefile
  branches/2016Q4/security/keepassx2/distinfo
  branches/2016Q4/security/keepassx2/files/
Comment 12 Kubilay Kocak freebsd_committer freebsd_triage 2016-10-21 02:05:54 UTC
Dont forget to set merge-quarterly flags once committed (or set to - if not necessary, with comment)